> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Payroll Settings

> Updates or creates the org-level payroll settings: cutoff days, calendar dates and minimum fiat pay.

Not available to API keys yet. It will need `payroll:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/update-payroll-settings
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/update-payroll-settings:
    post:
      operationId: updatePayrollSettings
      summary: Update Payroll Settings
      description: >-
        Updates or creates the org-level payroll settings: cutoff days, calendar
        dates and minimum fiat pay.


        Not available to API keys yet. It will need `payroll:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePayrollSettingsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdatePayrollSettingsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdatePayrollSettingsRequest:
      type: object
      properties:
        payrollCutOffDaysBeforePayDate:
          type: integer
          minimum: 1
          maximum: 25
        calendarDates:
          type: array
          items:
            type: integer
            minimum: 1
            maximum: 31
          maxItems: 2
        minimumFiatPayInUSD:
          type: number
          minimum: 0
      required:
        - payrollCutOffDaysBeforePayDate
    UpdatePayrollSettingsResponse:
      type: object
      properties:
        payrollSettings:
          type: object
          properties:
            payrollSettingsID:
              type: string
            orgID:
              type: string
            payrollApprovalDaysBeforePayDate:
              type: integer
            payrollCutOffDaysBeforeApprovalDate:
              type: integer
            terminationPayrollCutoffDay:
              type: integer
            payrollEntityID:
              type:
                - string
                - 'null'
            minimumFiatPayInUSD:
              type: string
            calendarDates:
              type: array
              items:
                type: integer
            createdAt:
              type: string
            updatedAt:
              type: string
            payrollEntity:
              type:
                - object
                - 'null'
              properties:
                payrollEntityID:
                  type: string
                name:
                  type: string
                shortName:
                  type:
                    - string
                    - 'null'
                createdAt:
                  type: string
                updatedAt:
                  type: string
                reportingCurrency:
                  type: string
                country:
                  type: string
                orgID:
                  type: string
                payrollSettingID:
                  type:
                    - string
                    - 'null'
              required:
                - payrollEntityID
                - name
                - shortName
                - createdAt
                - updatedAt
                - reportingCurrency
                - country
                - orgID
                - payrollSettingID
          required:
            - payrollSettingsID
            - orgID
            - payrollApprovalDaysBeforePayDate
            - payrollCutOffDaysBeforeApprovalDate
            - terminationPayrollCutoffDay
            - payrollEntityID
            - minimumFiatPayInUSD
            - calendarDates
            - createdAt
            - updatedAt
      required:
        - payrollSettings
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
